# sing-box Docker Image by etnperlong

![Docker Stars](https://img.shields.io/docker/stars/etnperlong/sing-box.svg) ![Docker Pulls](https://img.shields.io/docker/pulls/etnperlong/sing-box.svg)

[sing-box](https://sing-box.sagernet.org/) is a universal proxy platform for building your own proxy.

Docker images are built for quick deployment in various computing cloud providers.

For more information on docker and containerization technologies, refer to [official document](https://docs.docker.com/).

## Documentation

[https://sing-box.sagernet.org](https://sing-box.sagernet.org)

## Community
[https://community.sagernet.org/c/sing-box/](https://community.sagernet.org/c/sing-box/)

## Supported architectures
- amd64
- arm64
- arm/v7

## Enabled features

- `standard` 
> `with_gvisor,with_quic,with_wireguard,with_utls,with_reality_server,with_clash_api,with_acme`

- `full` 
> `with_gvisor,with_quic,with_grpc,with_dhcp,with_wireguard,with_shadowsocksr,with_ech,with_utls,with_reality_server,with_clash_api,with_v2ray_api,with_acme`

- `mini`
> `with_quic,with_utls,with_reality_server`

## Supported tags

- `latest` *([latest release](https://github.com/SagerNet/sing-box/releases))*
- `main` *([main branch](https://github.com/SagerNet/sing-box/tree/main))*
- `dev` *([dev branch](https://github.com/SagerNet/sing-box/tree/dev))*
- `dev-next` *([dev-next branch](https://github.com/SagerNet/sing-box/tree/dev))*

## Additional distro

Add `-distroless` to the end of the tag to use the build of distroless images.

For example, `etnperlong/sing-box:dev-next-full-distroless` is the distroless build of full feature enabled image.
